v2_vms_actions_access_retrieve
GET
/api/v2/vms/{vm_code}/actions/access/
const url = 'https://example.com/api/v2/vms/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/actions/access/';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v2/vms/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/actions/access/ \ --header 'X-API-Key: <X-API-Key>'Provide access details (e.g. password) for a VM. Returns null for the password field when the VM was provisioned with SSH-key access instead.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”vm_code
required
string format: uuid
Responses
Section titled “Responses”Media typeapplication/json
object
success
required
boolean
msg
object
msg_kind
string
msg_text
string
data
pagination
object
count
integer
next
string
previous
string
Example generated
{ "success": true, "msg": { "msg_kind": "example", "msg_text": "example" }, "data": "example", "pagination": { "count": 1, "next": "example", "previous": "example" }}Media typeapplication/json
object
success
required
boolean
msg
object
msg_kind
string
msg_text
string
data
pagination
object
count
integer
next
string
previous
string
Example generated
{ "success": true, "msg": { "msg_kind": "example", "msg_text": "example" }, "data": "example", "pagination": { "count": 1, "next": "example", "previous": "example" }}Media typeapplication/json
object
success
required
boolean
msg
object
msg_kind
string
msg_text
string
data
pagination
object
count
integer
next
string
previous
string
Example generated
{ "success": true, "msg": { "msg_kind": "example", "msg_text": "example" }, "data": "example", "pagination": { "count": 1, "next": "example", "previous": "example" }}